Bug 29260 - UNIMARC 210a is reported to Author (meeting/conference) when upgrading an authority through Z3950
Summary: UNIMARC 210a is reported to Author (meeting/conference) when upgrading an aut...
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marion Durand
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-18 08:02 UTC by Marion Durand
Modified: 2022-07-12 15:34 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This fixes UNIMARC authority editing when using 'Replace record via Z3950/SRU search'. When pre-populating the search form the value of 210$a (Authorized Access Point - Corporate Body Name) now goes into the Author (corporate) search form field instead of Author (meeting / conference).
Version(s) released in:
22.11.00, 22.05.03


Attachments
Bug 29260: 210a is reported to Autor (meeting/conference) when upgrading an authority through Z3950 (1.75 KB, patch)
2021-10-18 09:35 UTC, Marion Durand
Details | Diff | Splinter Review
Bug 29260: 210a is reported to Autor (meeting/conference) when upgrading an authority through Z3950 (1.79 KB, patch)
2022-05-18 20:48 UTC, David Nind
Details | Diff | Splinter Review
Bug 29260: 210a is reported to Autor (meeting/conference) when upgrading an authority through Z3950 (1.89 KB, patch)
2022-05-20 06:58 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marion Durand 2021-10-18 08:02:37 UTC
When upgrading an authority with Z39.50, the field 2XX is sent into the research grid.
    
The field 210a is sent into the search field "Author (meeting/conference)". Or a collective authority is more often a corporation than and meeting so librarian has to copy and paste this data to the field "Author (corporation)". (In unimarc field 210a is used both for corporation and meeting.)
    
1- Find an authority with collectivity type (with a field 210a).
2- Click on "Edit" then on "Edit record"
3- Click on "Replace record via Z39.50/SRU search"
4- See that the field 210 is reported in the search grid in "Author (meeting/conference)" field instead of "Author (corporation)
Comment 1 Marion Durand 2021-10-18 09:35:44 UTC
Created attachment 126417 [details] [review]
Bug 29260: 210a is reported to Autor (meeting/conference) when upgrading an authority through Z3950

When upgrading an authority with Z39.50, the field 2XX is sent into the
research grid.

The field 210a is sent into the search field "Author
(meeting/conference)". Or a collective authority is more often a
corporation than and meeting so librarian has to copy and paste this
data. (In unimarc field 210a is used both for corporation and meeting.)

This patch makes 210a field be sent into the search field "Author
(corporate)" instead of the "Author (meeting/conference)" one.

1- Find an authority with collectivity type (with a field 210a).
2- Click on "Edit" then on "Edit record"
3- Click on "Replace record via Z39.50/SRU search"
4- See that the field 210 is reported in the search grid in "Author
(meeting/conference)" field
5- Apply the patch
6- Go throug step 1 to 3 again
7- See that the field 210 is now reported in the search grid in "Author
(corporate)" field
Comment 2 David Nind 2022-05-18 20:48:30 UTC
Created attachment 135172 [details] [review]
Bug 29260: 210a is reported to Autor (meeting/conference) when upgrading an authority through Z3950

When upgrading an authority with Z39.50, the field 2XX is sent into the
research grid.

The field 210a is sent into the search field "Author
(meeting/conference)". Or a collective authority is more often a
corporation than and meeting so librarian has to copy and paste this
data. (In unimarc field 210a is used both for corporation and meeting.)

This patch makes 210a field be sent into the search field "Author
(corporate)" instead of the "Author (meeting/conference)" one.

1- Find an authority with collectivity type (with a field 210a).
2- Click on "Edit" then on "Edit record"
3- Click on "Replace record via Z39.50/SRU search"
4- See that the field 210 is reported in the search grid in "Author
(meeting/conference)" field
5- Apply the patch
6- Go throug step 1 to 3 again
7- See that the field 210 is now reported in the search grid in "Author
(corporate)" field

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2022-05-18 20:56:50 UTC
Testing notes:

- When using koha-testing-docker, an example of an authority record to use that has a 210$a is  école camps Major (#3650).
Comment 4 Marcel de Rooy 2022-05-20 06:52:48 UTC
No assignee?
Comment 5 Marcel de Rooy 2022-05-20 06:57:01 UTC
    if ( C4::Context->preference('marcflavour') eq 'MARC21' ){
        return {
            '100a' => 'authorpersonal',
            '110a' => 'authorcorp',
            '111a' => 'authormeetingcon',
            '130a' => 'uniformtitle',
            '150a' => 'subject',
        };
    }else{
        return {
            '200a' => 'authorpersonal',
            '210a' => 'authorcorp', #210 in UNIMARC is used for both corporation and meeting
            '230a' => 'uniformtitle',
        };

The first thing I ask myself when seeing this, is: Does UNIMARC have no subjects?
If this needs correction too, open a new report. Lets call this out of scope here.
Comment 6 Marcel de Rooy 2022-05-20 06:58:01 UTC
Created attachment 135223 [details] [review]
Bug 29260: 210a is reported to Autor (meeting/conference) when upgrading an authority through Z3950

When upgrading an authority with Z39.50, the field 2XX is sent into the
research grid.

The field 210a is sent into the search field "Author
(meeting/conference)". Or a collective authority is more often a
corporation than and meeting so librarian has to copy and paste this
data. (In unimarc field 210a is used both for corporation and meeting.)

This patch makes 210a field be sent into the search field "Author
(corporate)" instead of the "Author (meeting/conference)" one.

1- Find an authority with collectivity type (with a field 210a).
2- Click on "Edit" then on "Edit record"
3- Click on "Replace record via Z39.50/SRU search"
4- See that the field 210 is reported in the search grid in "Author
(meeting/conference)" field
5- Apply the patch
6- Go throug step 1 to 3 again
7- See that the field 210 is now reported in the search grid in "Author
(corporate)" field

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Tomás Cohen Arazi 2022-06-06 16:51:08 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 8 Lucas Gass 2022-07-12 15:34:45 UTC
Backported to 22.05.x for 22.05.03